h28651
s 00002/00002/00091
d D 1.14 83/03/08 14:13:48 mjb 14 13
c 
e
s 00009/00002/00084
d D 1.13 83/03/03 23:38:59 mjb 13 12
c fixed for existing data for graph -- graph etc
e
s 00000/00000/00086
d D 1.12 83/03/03 22:25:20 mjb 12 11
c 
e
s 00003/00003/00083
d D 1.11 83/03/02 17:20:42 mjb 11 10
c 
e
s 00000/00003/00086
d D 1.10 83/02/18 18:10:49 mjb 10 9
c fixed bug with interaction between text charts and multi charts
e
s 00000/00007/00089
d D 1.9 83/02/17 12:26:54 mjb 9 8
c fixed chkdef problem on anotation
e
s 00002/00007/00094
d D 1.8 83/02/15 17:22:07 mjb 8 7
c 
e
s 00000/00000/00101
d D 1.7 83/02/14 14:07:50 mjb 7 6
c added sflag to tell when absolutely necessary to save current graph
e
s 00001/00001/00100
d D 1.6 83/02/04 12:47:09 mjb 6 5
c fixed all routines to clear anotation buffer when necessary
e
s 00002/00000/00099
d D 1.5 83/02/04 12:20:13 mjb 5 4
c fixed to initialize anotation bufer
e
s 00004/00000/00095
d D 1.4 83/01/31 19:14:21 mjb 4 3
c made changes for checking of defined charts
e
s 00001/00001/00094
d D 1.3 83/01/27 13:49:53 mjb 3 2
c took care of interface changes
e
s 00030/00038/00065
d D 1.2 83/01/25 15:32:13 mjb 2 1
c modified for new interface
e
s 00103/00000/00000
d D 1.1 83/01/20 11:11:34 tes 1 0
c date and time created 83/01/20 11:11:34 by tes
e
u
tes
mjb
U
t
T
I 1
D 13
subroutine inpmem
E 13
I 13
subroutine inpmem (flag)
E 13
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Define a menu from the given file                      #
#                                                                      #
#     Input Parameters:                                                #
#            fname - a null terminated byte array which defines the    #
#                    disk file name for the menu file to be read       #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
I 13
integer flag
E 13

D 8
SHORTINT piemem(1)
E 8
D 2
integer i, j
E 2
I 2
integer i
E 2

include(`gphcom')

D 8
equivalence (piemem(1), bpdata(1))

E 8
#
#    pie chart  common block
#
D 2
# bpdata / 80*NUL / #  (byte array 80) current pie chart data 
#
# bptitl / 41*NUL / #  (byte array 41) current pie chart title
# bpsitl / 41*NUL / #  (byte array 41) current pie chart subtitle 
# bplabl / 304*NUL / # (byte array 304) current pie chart labels
# (byte array 32)  pie slice explode flag array
# bpexfg /BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,
#            BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,
#            BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,BIGN,NUL,
#            BIGN,NUL /
# bpslcl / 16*1 /   #  (byte array 16) current pie slice color array 
# bpslfl / 16*0 /   #  (byte array 16) current pie slice fill pattern array
# bptclr / 3*1 /    #  (byte array 3)  current pie chart text colors
# bptfnt / 3*1 /    #  (byte array 3)  current pie chart text fonts
# bptsiz / 3*2 /    #  (byte array 3)  current pie chart text sizes
# bvalfg / BIGA,NUL / #  (byte array 2)  current pie chart value or % flag
# bpsrfg / BIGN,NUL / #  (byte array 2)  current pie chart sort flag 
# bpsrod / BIGA,NUL / #  (byte array 2)  current pie chart sort order flag
# bpbrfg / BIGY,NUL / #  (byte array 2)  current pie chart border flag
# bpbrcl / 1 /      #  (byte)          current pie chart border color
# bpbrwd / 1 /      #  (byte)          current pie chrat border width
# bpticl / 1 /      #  (byte)          current pie chart tic mark color
# bpddef / 0 /      #  (byte)          current number of data points defined
#
#data multfg  / 1 /      #   default multi graph is one
#data mfrmat  / 6 /      #   default format is one graph format 6
#data mfname  / 56*NUL / #   multi filename array
E 2
I 2
#  bptitl  (byte array 41)           current pie chart title
#  bpsitl  (byte array 41)           current pie chart subtitle 
#  bplabl  (byte array 304)          current pie chart labels
#  bpexfg  (byte array 32)   /BIGN/  current pie slice explode flag array
#  bpslcl  (byte array 16)   / 1 /   current pie slice color array 
#  bpslfl  (byte array 16)   / 0 /   current pie slice fill pattern array
#  bptclr  (byte array 3)    / 1 /   current pie chart text colors
#  bptfnt  (byte array 3)    / 1 /   current pie chart text fonts
#  bptsiz  (byte array 3)    / 2 /   current pie chart text sizes
#  bvalfg  (byte array 2)    /BIGA/  current pie chart value or % flag
#  bpsrfg  (byte array 2)    /BIGN/  current pie chart sort flag 
#  bpsrod  (byte array 2)    /BIGA/  current pie chart sort order flag
D 14
#  bpbrfg  (byte array 2)    /BIGY/  current pie chart border flag
E 14
I 14
#  bpbrfg  (byte array 2)    /BIGN/  current pie chart border flag
E 14
#  bpbrcl  (byte)            / 1 /   current pie chart border color
#  bpbrwd  (byte)            / 1 /   current pie chart border width
#  bpticl  (byte)            / 1 /   current pie chart tic mark color
#  bpddef  (byte)            / 0 /   current number of data points defined
E 2

D 2
define(`PieLength',550)
E 2
I 2
#  bpdata  (byte array 80)           current pie chart data 
E 2

I 2
# multfg  (byte)             / 1 /   current multi graph flag
# mfrmat  (byte)             / 6 /   current multi graph format 
# mfname  (byte array 56)            current multi graph file names

D 3
define(`PieLength',551)
E 3
I 3
D 8
define(`PieLength',550)
E 3

E 2
do i=1, PieLength {
   piemem(i) = NUL
E 8
I 8
D 13
do i=1, 551 {
E 13
I 13
do i=1, 471 {
E 13
   bptitl(i) = NUL
I 13
   }

if (flag != NO) {           # only reintialize if wanted
   do i = 1, 80 {
      bpdata(i) = NUL
      }
E 13
E 8
   }
D 2
j = 1
do i=1, 16 {
   bpexfg(j) = BIGN
   bpexfg(j+1) = NUL
   j = j + 2
E 2
I 2

do i=1, 16, 2 {
   bpexfg(i) = BIGN
E 2
   }
do i=1, 16 {
   bpslcl(i) = 1
   }
do i=1, 6 {           
   bptclr(i) = 1
   }
D 11
do i=1, 3 {
   bptsiz(i) = 2
   }
E 11
I 11
bptsiz(1) = 4
bptsiz(2) = 3
bptsiz(3) = 2
E 11
I 2

E 2
bvalfg(1) = BIGA
D 2
bvalfg(2) = NUL
E 2
bpsrfg(1) = BIGN
D 2
bpsrfg(2) = NUL
E 2
bpsrod(1) = BIGA
D 2
bpsrod(2) = NUL
E 2
D 14
bpbrfg(1) = BIGY
E 14
I 14
bpbrfg(1) = BIGN
E 14
D 2
bpbrfg(2) = NUL
E 2
I 2

E 2
bpbrcl = 1
bpbrwd = 1
bpticl = 1

D 10
multfg = 1
mfrmat = 6
D 9
do i = 1, 56 {
   mfname(i) = NUL
   }

I 4
do i = 1, 5 {
   bgddef(i) = NUL
   }
E 9

E 10
I 5
D 6
anobuf(1) = NUL     # Clear the anotation buffer
E 6
I 6
call inamem
E 6

E 5
E 4
return
end
E 1
